#!version:1.0.0.1

##File header "#!version:1.0.0.1" can not be edited or deleted.##

#######################################################################################
##                          Network                                                  ## 
#######################################################################################

#Configure the WAN port type; 0-DHCP (default), 1-PPPoE, 2-Static IP Address;
#Require reboot;
network.internet_port.type = 

#Configure the static IP address, subnet mask, gateway and DNS server.
#Require Reboot;
network.internet_port.ip = 
network.internet_port.mask = 
network.internet_port.gateway = 
network.primary_dns= 
network.secondary_dns = 

#Configure the username and password for PPPOE connection.
#Require reboot;
network.pppoe.user = 
network.pppoe.password = 

#Configure the PC port type; 0-Router, 1-Bridge (default);
#Require reboot;
network.bridge_mode = 

#Configure the IP address and mask when the PC port is configured as Router.
#Require reboot;
network.pc_port.ip = 
network.pc_port.mask = 

#Enable or disable the DHCP server when the PC port is configured as Router; 0-Disabled, 1-Enabled (default);
#Require reboot;
network.pc_port.dhcp_server = 

#Define the DHCP IP address range. The default is from 10.0.0.10 to 10.0.0.100.
network.dhcp.start_ip =
network.dhcp.end_ip =

#Enable or disable the VLAN of WAN port; 0-Disabled (default), 1-Enabled;
#Require reboot;
network.vlan.internet_port_enable = 

#Configure the VLAN ID, it ranges from 0 to 4094, the default value is 1.
#Require reboot;
network.vlan.internet_port_vid = 

#Configure the VLAN priority, it ranges from 0 (default) to 7.
#Require reboot;
network.vlan.internet_port_priority = 

#Enable or disable the VLAN of PC port; 0-Disabled (default), 1-Enabled; 
#Require reboot;
network.vlan.pc_port_enable = 

#Configure the VLAN ID, it ranges from 0 to 4094, the default value is 1. 
#Require reboot;
network.vlan.pc_port_vid = 

#Configure the VLAN priority, it ranges from 0 (default) to 7. 
#Require reboot;
network.vlan.pc_port_priority = 

#Configure the access type of the web server; 0-Disabled, 1-HTTP & HTTPS (default), 2-HTTP Only, 3-HTTPS Only;
#Require reboot;
network.web_server_type = 

#Configure the HTTP port (80 by default) and the HTTPS port (443 by default) of the web server. Both range from 1 to 65535.
#Require reboot;
network.port.http = 
network.port.https = 

#Configure the maximum local RTP port. It ranges from 0 to 65535, the default value is 11800.
#Require reboot;
network.port.max_rtpport = 

#Configure the minimum local RTP port. It ranges from 0 to 65535, the default value is 11780.
#Require reboot;
network.port.min_rtpport = 

#Configure the voice QOS. It ranges from 0 to 63, the default value is 46.
#Require reboot;
network.qos.rtptos = 

#Configure the SIP QOS. It ranges from 0 to 63, the default value is 46.
#Require reboot;
network.qos.signaltos = 

#Configure the 802.1x mode; 0-Disabled (default), 1-EAP-MD5, 2-EAP-TLS, 3-PEAP-MSCHAPV2;
#Require reboot;
network.802_1x.mode = 

#Configure the username and password for 802.1x authentication.
#Require reboot;
network.802_1x.identity = 
network.802_1x.md5_password = 

#Enable or disable the VPN feature; 0-Disabled (default), 1-Enabled;
#Require reboot;
network.vpn_enable = 

#Enable or disable the LLDP feature; 0-Disabled, 1-Enabled (default);
#Require reboot;
network.lldp.enable = 

#Configure the interval (in seconds) the phone broadcasts the LLDP request. It ranges from 1 to 3600, the default value is 120.
#Require reboot;
network.lldp.packet_interval = 

#Enable or disable the phone to obtain DNS from DHCP; 0-Disabled, 1-Enabled (default);
#Require reboot;
network.static_dns_enable = 

#######################################################################################
##                Syslog Server                                                      ##          
#######################################################################################

#Configure the IP address of the syslog server.
#Require reboot;
syslog.server = 

#Configure the syslog level. It ranges from 0 to 6, the default value is 3.
#Require reboot;
syslog.log_level = 

#######################################################################################
##                 TR069                                                             ##
#######################################################################################

#The TR069 feature is only applicable to some designated firmware versions.
#All settings of TR069 require reboot.
#Enable or disable the TR069 feature; 0-Disabled (default), 1-Enabled;
managementserver.enable = 

#Configure the username and password for the phone to authenticate with the ACS.
managementserver.username = 
managementserver.password = 

#Configure the access URL of the ACS.
managementserver.url = 

#Configure the username and password for the phone to authenticate the connection requests.
managementserver.connection_request_username = 
managementserver.connection_request_password = 

#Enable or disable the phone to inform the ACS of its configuration; 0-Disabled (default), 1-Enabled;
managementserver.periodic_inform_enable = 

#Configure the interval (in seconds) the phone to inform the ACS of its configuration. The default value is 60.
managementserver.periodic_inform_interval = 

#######################################################################################
##                 Auto Provisioning                                                 ##      
#######################################################################################

#Enable or disable the Plug and Play feature; 0-Disabled, 1-Enabled (default);
auto_provision.pnp_enable = 

#Enable or disable the phone to check new configuration when powered on; 0-Disabled, 1-Enabled (default);   
auto_provision.mode = 

#Enable or disable the phone to check the new configuration repeatedly; 0-Disabled (default), 1-Enabled;
auto_provision.repeat.enable = 

#Configure the interval (in minutes) the phone repeatedly checks the new configuration. The default is 1440.
auto_provision.repeat.minutes = 

#Enable or disable the phone to check the new configuration weekly; 0-Disabled (default), 1-Enabled;
auto_provision.weekly.enable = 

#Configure the week time the phone checks the new configuration. Applicable when the auto provisioning mode is configured as weekly or power on + weekly;
#auto_provision.weekly.mask = 0123456
#auto_provision.weekly.begin_time = 00:00
#auto_provision.weekly.end_time = 00:00

auto_provision.weekly.mask = 
auto_provision.weekly.begin_time = 
auto_provision.weekly.end_time = 

#Configure the URL of the auto provisioning server.
auto_provision.server.url = {$yealink_provision_url}

#Configure the domain name of the PNP server.
auto_provision.pnp_domain_name =

#Configure the PNP vendor information.
auto_provision.pnp_event_vendor =

#Configure the name of the Common configuration file.
auto_provision.common_file_name =

#Configure the username and password for downloading.
auto_provision.server.username = 
auto_provision.server.password = 

#Enable or disable the DHCP option mode; 0-Disabled, 1-Enabled (default); 
auto_provision.dhcp_option.enable = 

#Configure the value (manufacturer of the device) of DHCP option 60. 
auto_provision.dhcp_option.option60_value = 

#Configure the custom DHCP option number. It ranges from 128 to 254. 
auto_provision.dhcp_option.list_user_options = 

#Configure AES key (16 characters) for decrypting the common CFG file. 
auto_provision.aes_key_16.com = 

#Configure AES key (16 characters) for decrypting the MAC-Oriented CFG file.
auto_provision.aes_key_16.mac = 

#######################################################################################
##	               Auto Provisioning Code                                            ##
#######################################################################################

#This feature allows user to trigger the auto provisioning by dialing a predefined string on the phone, when there is no available accounts.
#Require reboot;
#"X" ranges from 1 to 50

#Configure the auto provisioning name.
#The valid value is a string, the maximum length is 100.
#autoprovision.x.name =                  

#Configure the auto provisioning code.
#The valid value is a string, the maximum length is 100.
#autoprovision.x.code =                   

#Configure the URL of the auto provisioning server.
#The valid value is a string, the maximum length is 256.
#autoprovision.x.url =                

#Configure the username and password for downloading.
#The valid value is a string, the maximum length is 100.
#autoprovision.x.user =                   
#autoprovision.x.password =            

#Configure AES key (16 characters) for decrypting the common CFG file and MAC-Oriented CFG file.
#autoprovision.x.com_aes =               
#autoprovision.x.mac_aes =               

autoprovision.1.name =        
autoprovision.1.code =        
autoprovision.1.url =         
autoprovision.1.user =        
autoprovision.1.password =    
autoprovision.1.com_aes =     
autoprovision.1.mac_aes =     

autoprovision.2.name =        
autoprovision.2.code =        
autoprovision.2.url =         
autoprovision.2.user =        
autoprovision.2.password =    
autoprovision.2.com_aes =     
autoprovision.2.mac_aes = 

#######################################################################################
##                  Phone Features                                                   ##
#######################################################################################

#Enable or disable the phone to escape the pound key as percent sign followed by 23 when dialing out; 0-Disabled, 1-Enabled (default); 
sip.use_23_as_pound = 

#Enable or disable the RFC2543 Hold feature; 0-Disabled (default), 1-Enabled;
sip.rfc2543_hold = 

#Enable or disable the phone to keep sending the SIP messages to the outbound server; 0-Disabled, 1-Enabled (default);
sip.use_out_bound_in_dialog = 

#Configure the registration random time (in seconds). It ranges from 0 (default) to 60. 
sip.reg_surge_prevention = 

sip.check_autop_result_before_register =

sip.send_response_by_request =

#Enable or disable the phone to reboot when receiving SIP notify messages; 0-Disabled, 1-Enabled (default);
sip.notify_reboot_enable = 

#Enable or disable the WatchDog feature; 0-Disabled, 1-Enabled (default);
watch_dog.enable = 

#Enable or disable the redirect feature; 0-Disabled (default), 1-Enabled;
redirect.enable = 

#Enable or disable the transferee to display the missed call prompt when receiving a semi_attended transfer call;
#0-Disabled, 1-Enabled (default);
transfer.semi_attend_tran_enable =

#Enable or disable the phone to complete the blind or attended transfer through on-hook;
#0-Disabled,1-Enabled(default);
transfer.blind_tran_on_hook_enable =    
transfer.on_hook_trans_enable = 

#Define the way of DSS key when configuring as a transfer key; 0-Display Number, 1-Attended Transfer, 2-Blind Transfer (default);
transfer.dsskey_deal_type = 

#Enable or disable the conference initiator to transfer the call when hanging up; 
#0-Disabled(default),1-Enabled;
transfer.tran_others_after_conf_enable =  

#######################################################################################
##                                Voice                                              ##
#######################################################################################

#Enable or disable the voice activity detection feature; 0-Disbaled (default), 1-Enabled;
voice.vad = 

#Enable or disable the comfortable noise generator; 0-Disabled, 1-Enabled (default);
voice.cng = 

#Enable or disable the echo canceller; 0-Disabled, 1-Enabled (default);
voice.echo_cancellation =

#Configure the volume of the side tone. It ranges from -48 to 0, the default value is -3.
voice.side_tone= 

#Configure the sending volume of Speaker, Handset and Headset. It ranges from 1 to 53, the default values are 25, 35, 29.
#Require reboot;
voice.handfree_send =
voice.handset_send = 
voice.headset_send = 

#Configure the type of jitter buffer; 0-Fixed, 1-Adaptive (default); 
voice.jib.adaptive = 

#Configure the minimum delay, maximum delay and normal delay. The default values are 0, 300, 120.
voice.jib.min =
voice.jib.max = 
voice.jib.normal = 

#Define the voice tone, the valid values can be Custom (default) or voice tone of different countries. For example, United States, France, Germany and so on.
#voice.tone.country = Custom 
voice.tone.country =

#Customize the tone when the "voice.tone.country" is configured as Custom.  
#The value format: Frequency/Duration.
#Frequency ranges from 200 to 7000. When 0 is used to define the frequency, it means a pause between tones.
#A tone can be composited at most four different frequencies (the value format is: F1+F2+F3+F4).
#Duration is the time duration (in milliseconds) of ringing the tone. It ranges from 0 to 30000ms.
#At most eight tones can be configured for dial, ring, busy and so on, each tone is separated by comma. 
#For example, voice.tone.dial = 100/200,200/150,300+400+500+1200/1000,0/1200,500+900/800,5000+2000+3000/6000,0/1500,3600/1800
voice.tone.dial = 
voice.tone.ring = 
voice.tone.busy = 
voice.tone.congestion = 
voice.tone.callwaiting = 
voice.tone.dialrecall = 
voice.tone.record= 
voice.tone.info = 
voice.tone.stutter = 
voice.tone.message = 
voice.tone.autoanswer = 

#Configure the receiving volume of Speaker, Handset and Headset. It ranges from 0 to 15, the default value is 8.
voice.handfree.spk_vol = 
voice.handset.spk_vol = 
voice.headset.spk_vol = 

#Configure the dial tone volume of Speaker, Handset and Headset. It ranges from 0 to 15, the default value is 8.
voice.handfree.tone_vol = 
voice.handset.tone_vol = 
voice.headset.tone_vol = 

#Configure the ring volume. It ranges from 0 to 15, the default value is 8.
voice.ring_vol= 

#Configure the Speaker volume when in the group listening mode. It ranges from 0 to 15, the default value is 8.
voice.group_spk_vol = 

#######################################################################################
##         	                   Security Settings                                     ##                   
#######################################################################################

#Enable or disable the phone to only accept the certificates in the Trusted Certificates list;
#0-Disabled, 1-Enabled (default);
security.trust_certificates = 

#Define the login username and password of the user, var and administrator.
#If your username is defined as: security.user_name.admin = adminuser.
#and your password must like this: security.user_password = adminuser:adminpassword.
#adminuser is the value of "security.user_name.admin"; adminpassword is the password you want to set.
{if isset($user_name) }
security.user_name.user = {$user_name}
security.user_password = {$user_name}:{$user_password}
{/if}
{if isset($admin_name) }
security.user_name.admin = {$admin_name}
security.user_password = {$admin_name}:{$admin_password}
{/if}
{if isset($var_name) }
security.user_name.var = {$var_name}
security.user_password = {$var_name}:{$var_password}
{/if}

#Enable or disable the 3-level permissions (open var); 0-Disabled (default), 1-Enabled;
#Require reboot;
security.var_enable = 

#######################################################################################
##                   Customize the softkey                                           ##                                 
#######################################################################################
#Customize the softkeys presented on the phone LCD screen when Callfailed, Callin, Connecting, Dialing, Ringback and Talking. 
custom_softkey_call_failed.url = 
custom_softkey_call_in.url = 
custom_softkey_connecting.url = 
custom_softkey_dialing.url = 
custom_softkey_ring_back.url = 
custom_softkey_talking.url = 

#######################################################################################
##         	                  Memory Key (For T38G only)                             ##              
#######################################################################################
#X ranges from 1 to 10;
#memorykey.x.line--Configure the desired line to apply the key feature. It ranges from 0 to 6.
#The value 0 of the "memorykey.x.line" stands for Auto, it means the first available line. 
#But, when the DSS key is configured as BLF, BLF List, Shared Line, Call Park, Pick Up, ACD or Voice Mail feature, the value 0 stands for line 1.
#memorykey.x.value--Enter the value of some features. E.g. When configuring the DSS key to be BLF, enter the number of the monitored user.
#memorykey.x.pickup_value--Enter the pickup code, this parameter is only appilicable to BLF.
#memorykey.x.type--Assign the desired feature to the memory key.
#Valid types are:  0-N/A(default for memory key)  1-Conference 		 2-Forward    3-Transfer      4-Hold        5-DND             6-Redial                        7-Call Return     8-SMS    
#                  9-Call Pickup                  10-Call Park     11-DTMF      12-Voicemail    13-SpeedDial  14-Intercom       15-Line(default for line key)   16-BLF            17-URL    
#                  18-Group Listening             19-Public Hold   20-Private   21-Shared Line  22-XML Group  23-Group Pickup   24-Paging                       25-Record         27-XML Browser    
#                  34-Hot Desking                 35-URL Record    38-LDAP      39-BLF List     40-Prefix     41-Zero-Sp-Touch  42-ACD                          45-Local Group    46-Broadsoft Group 
#memorykey.x.xml_phonebook--Specify the desired remote phonebook/local group/BSFT phonebook for the DSS key. This parameter is only appilicable to the feature XML Group/Local Group/Broadsoft Group.  
#memorykey.x.sub_type =

# Configure Memory Key1
memorykey.1.line = 
memorykey.1.value = 
memorykey.1.pickup_value = 
memorykey.1.type =  
memorykey.1.xml_phonebook =  
memorykey.1.sub_type =  

# Configure Memory Key2
memorykey.2.line = 
memorykey.2.value = 
memorykey.2.pickup_value = 
memorykey.2.type =  
memorykey.2.xml_phonebook =  
memorykey.2.sub_type =

# Configure Memory Key3
memorykey.3.line = 
memorykey.3.value = 
memorykey.3.pickup_value = 
memorykey.3.type =  
memorykey.3.xml_phonebook =   
memorykey.3.sub_type =

# Configure DSS Key4
memorykey.4.line = 
memorykey.4.value = 
memorykey.4.pickup_value = 
memorykey.4.type =  
memorykey.4.xml_phonebook =  
memorykey.4.sub_type =

# Configure Memory Key5
memorykey.5.line = 
memorykey.5.value = 
memorykey.5.pickup_value = 
memorykey.5.type =  
memorykey.5.xml_phonebook =  
memorykey.5.sub_type =

# Configure Memory Key6
memorykey.6.line = 
memorykey.6.value = 
memorykey.6.pickup_value = 
memorykey.6.type =  
memorykey.6.xml_phonebook =   
memorykey.6.sub_type =

# Configure Memory Key7
memorykey.7.line = 
memorykey.7.value = 
memorykey.7.pickup_value = 
memorykey.7.type =  
memorykey.7.xml_phonebook =   
memorykey.7.sub_type =

# Configure Memory Key8
memorykey.8.line = 
memorykey.8.value = 
memorykey.8.pickup_value = 
memorykey.8.type =  
memorykey.8.xml_phonebook =   
memorykey.8.sub_type =

# Configure Memory Key9
memorykey.9.line = 
memorykey.9.value = 
memorykey.9.pickup_value = 
memorykey.9.type =  
memorykey.9.xml_phonebook =   
memorykey.9.sub_type =

# Configure Memory Key10
memorykey.10.line = 
memorykey.10.value = 
memorykey.10.pickup_value = 
memorykey.10.type =  
memorykey.10.xml_phonebook =   
memorykey.10.sub_type =         
                      
#######################################################################################
##         	                   Line Key                                              ##                 
#######################################################################################

#The x of the parameter "linekey.x.line" ranges from 1 to 6. 
#The default value equals to the value of x. For example, the default value of the parameter "linekey.1.line" is 1.
#linekey.x.lable--Define the label for each line key.

#Configure Line Key1 
linekey.1.line =  
linekey.1.value = 
linekey.1.pickup_value = 
linekey.1.type = 
linekey.1.xml_phonebook =
linekey.1.label = 

#Configure Line Key2                        
linekey.2.line =                         
linekey.2.value =                         
linekey.2.pickup_value =                   
linekey.2.type =                         
linekey.2.xml_phonebook =                 
linekey.2.label =                        

#Configure Line Key3                         
linekey.3.line =                         
linekey.3.value =                         
linekey.3.pickup_value =                   
linekey.3.type =                         
linekey.3.xml_phonebook =                 
linekey.3.label =                        

#Configure Line Key4 (for T38G only)                        
linekey.4.line =                         
linekey.4.value =                         
linekey.4.pickup_value =                   
linekey.4.type =                         
linekey.4.xml_phonebook =                 
linekey.4.label =                         

#Configure Line Key5  (for T38G only)                       
linekey.5.line =                         
linekey.5.value =                         
linekey.5.pickup_value =                   
linekey.5.type =                          
linekey.5.xml_phonebook =                 
linekey.5.label =                         

#Configure Line Key6  (for T38G only)                       
linekey.6.line =                         
linekey.6.value =                         
linekey.6.pickup_value =                   
linekey.6.type =                         
linekey.6.xml_phonebook =                 
linekey.6.label =                        

##########################################################################################
##         	               Programmable Key (For T38G only)                             ##               
##########################################################################################
#X ranges from 1 to 15.
#programablekey.x.type--Customize the programmable key type.
#The valid types are: 
#0-N/A         2-Forward        5-DND           6-Redial     7-Call Return    8-SMS      9-Call Pickup  13-Spead Dial  14-Intercom
#22-XML Group  23-Group Pickup  27-XML Browser  28-History   29-Directory     30-Menu    32-New SMS     33-Status      43-Local Phonebook    
#44-Broadsoft Phonebook    45-Local Group    46-Broadsoft Group   47-XML Phonebook   48-Switch Account Up   49-Switch Account Down    50-Keypad Lock
#programablekey.x.line--Configure the desired line to apply the key feature. It ranges from 0 to 6.
#The value 0 of the "proramablekey.x.line" stands for Auto, it means the first available line. 
#But, when the programmable key is configured as Pick Up, the value 0 stands for line 1.

#programablekey.x.value =
#programablekey.x.xml_phonebook--Specify the desired remote phonebook/local group/BSFT phonebook for the programmable key. This parameter is only appilicable to the feature XML Group/Local Group/Broadsoft Group.
#programablekey.x.history_type =

#programablekey.x.label--This parameter is only available to the key 1 to key 4. 

programablekey.1.type =
programablekey.1.line = 
programablekey.1.value =
programablekey.1.xml_phonebook =
programablekey.1.history_type =
programablekey.1.label =

##########################################################################################
##         	              Expansion Key   £¨For T38G only£©                             ##               
##########################################################################################
#X ranges from 1 to 6, Y ranges from 1 to 39.
#expansion_module.x.key.y.type = 37 (Switch by default)
#expansion_module.x.key.y.line = 0 
#expansion_module.x.key.y.value = 
#expansion_module.x.key.y.pickup_value = 
#expansion_module.x.key.y.label =

#Each expansion module1 key1
expansion_module.1.key.1.type = 
expansion_module.1.key.1.line = 
expansion_module.1.key.1.value = 
expansion_module.1.key.1.pickup_value = 
expansion_module.1.key.1.label =

#Each expansion module1 key2
expansion_module.1.key.2.type =
expansion_module.1.key.2.line = 
expansion_module.1.key.2.value = 
expansion_module.1.key.2.pickup_value = 
expansion_module.1.key.2.label = 

#Each expansion module2 key1
expansion_module.2.key.1.type = 
expansion_module.2.key.1.line = 
expansion_module.2.key.1.value = 
expansion_module.2.key.1.pickup_value = 
expansion_module.2.key.1.label =
      
#######################################################################################
##           Automatic Call Distribute                                               ##
#######################################################################################
#Enable or disable the phone to automatically change the phone status to available; 0-Disabled (default), 1-Enabled;
acd.auto_available = 

#Configure the interval (in seconds) to automatically turn the state of the ACD agent to available. It ranges from 0 to 120, the default value is 60.
acd.auto_available_timer = 

#######################################################################################
#         	                   Action URL Settings                                   ##    
#######################################################################################

#action_url.setup_completed--Inform the server that the phone has completed the startup.              
#action_url.dnd_on-- Inform the server that the DND is activated on the phone. 
#The value format is: http://IP address of server/help.xml?variable name=variable value. 
#The valid variable values are: $mac--MAC address of phone, $ip--The current IP address of phone, $model--Phone model, $firmware--Phone firmware version. 
#$active_url--The SIP URI of the current account when the phone is in the incoming state, outgoing state or during conversation. 
#$active_user--The username of the current account when the phone is in the incoming state, outgoing state or during conversation.
#$active_host--The host name of the current account when the phone is in the incoming state, the outgoing state or during conversation. 
#$local--The SIP URI of the caller when outgoing calls or the SIP URI of the callee when receiving calls. 
#$remote--The SIP URI of the callee when outgoing calls or the SIP URI of the caller when receiving calls.
#$display_local--The display name of the caller when outgoing calls or the display name of the callee when receiving calls.
#$display_remote--The display name of the callee when outgoing calls or the display name of the caller when receiving calls.
#$call_id--The caller ID when in the incoming state, the outgoing state or during conversation.
#For example, action_url.log_on = http://192.168.1.20/help.xml?mac=$mac

action_url.setup_completed = 
action_url.log_on = 
action_url.log_off = 
action_url.register_failed = 
action_url.off_hook = 
action_url.on_hook = 
action_url.incoming_call = 
action_url.outgoing_call = 
action_url.call_established = 
action_url.dnd_on = 
action_url.dnd_off = 
action_url.always_fwd_on = 
action_url.always_fwd_off = 
action_url.busy_fwd_on = 
action_url.busy_fwd_off = 
action_url.no_answer_fwd_on = 
action_url.no_answer_fwd_off = 
action_url.transfer_call = 
action_url.blind_transfer_call =
action_url.attended_transfer_call = 
action_url.hold = 
action_url.unhold = 
action_url.mute = 
action_url.unmute = 
action_url.missed_call = 
action_url.call_terminated = 
action_url.busy_to_idle = 
action_url.idle_to_busy = 
action_url.forward_incoming_call = 
action_url.reject_incoming_call = 
action_url.answer_new_incoming_call =
action_url.transfer_finished = 
action_url.transfer_failed = 

#######################################################################################
##                             Language Settings                                     ##
#######################################################################################

#Specify the web language, the valid values are: English, Chinese_S, Turkish, Portuguese, Spanish, Italian, French, Russian, Deutsch and Czech.
lang.wui = 

#Specify the LCD language, the valid values are: English (default), Chinese_S, Chinese_T, German, French, Turkish, Italian, Polish, Spanish and Portuguese.
#lang.gui = English
lang.gui = 

#######################################################################################
##                             Time Settings                                         ##
#######################################################################################

#Configure the time zone and time zone name. The time zone ranges from -11 to +12, the default value is +8. 
#The default time zone name is China(Beijing).
#local_time.time_zone = +8
#local_time.time_zone_name = China(Beijing) 
local_time.time_zone = {$yealink_time_zone}
local_time.time_zone_name = {$yealink_time_zone_name}

#Configure the domain name or the IP address of the NTP server. The default value is cn.pool.ntp.org.
local_time.ntp_server1 = {$ntp_server_1}
local_time.ntp_server2 = {$ntp_server_2}

#Configure the update interval (in seconds) when using the NTP server. The default value is 1000.
local_time.interval = 

#Configure the daylight saving time feature; 0-Disabled, 1-Enabled, 2-Automatic (default); 
local_time.summer_time = 

#Configure the DST type when the DST feature is enabled; 0-By Date (default), 1-By Week;
local_time.dst_time_type = 

#Configure the start time of DST. The default value is 1/1/0.
#If the DST type is configured as By Date, the value format is Month/Day/Hour. For example, the value 5/20/10 means the start time is at 10:00 on May 20.  
#If the DST type is configured as By Week, the value format is Month/Day of Week/Day of Week Last in Month/Hour of Day. 
#For example, the value 1/4/2/5 means the start time is at 5 o'clock on Tuesday of the 4th week in January.
local_time.start_time = {$yealink_time_zone_start_time}

#Configure the end time of DST. The default value is 12/31/23. The value format is the same to the start time.
local_time.end_time = {$yealink_time_zone_end_time}

#Configure the offset time (in seconds). It ranges from -300 to 300, the default value is blank.
local_time.offset_time = {$yealink_offset_time}

#Configure the time format; 0-12 Hour, 1-24 Hour (default);
local_time.time_format = {$yealink_time_format}

#Configure the date format; 0-WWW MMM DD (default), 1-DD-MMM-YY, 2-YYYY-MM-DD, 3-DD/MM/YYYY, 4-MM/DD/YY, 5-DD MMM YYYY, 6-WWW DD MMM;
local_time.date_format = {$yealink_date_format}

#Enable or disable the DHCP Time; 0-Disabled (default), 1-Enabled;
local_time.dhcp_time = 

#Enable or disable the manual time; 0-NTP time, 1-manual time. The default value is 0.
local_time.manual_time_enable =

#######################################################################################
##                      Hot Desking                                                      ##
#######################################################################################
#Enable or disable the phone to show the following items on the login wizard during startup; 0-Disabled, 1-Enabled;  
#hotdesking.startup_register_name_enable = 0 (default)
#hotdesking.startup_username_enable = 1 (default)
#hotdesking.startup_password_enable = 1 (default)
#hotdesking.startup_sip_server_enable = 1 (default)
#hotdesking.startup_outbound_enable = 0 (default)

hotdesking.startup_register_name_enable = 
hotdesking.startup_username_enable = 
hotdesking.startup_password_enable = 
hotdesking.startup_sip_server_enable = 
hotdesking.startup_outbound_enable = 

#Enable or disable the phone to show the following items on the login wizard when pressing the Hot Desking DSS key;
#0-Disabled, 1-Enabled;
#hotdesking.dsskey_register_name_enable = 0 (default)
#hotdesking.dsskey_username_enable = 1 (default)
#hotdesking.dsskey_password_enable = 1 (default)
#hotdesking.dsskey_sip_server_enable = 1 (default)
#hotdesking.dsskey_outbound_enable = 0 (default)

hotdesking.dsskey_register_name_enable = 
hotdesking.dsskey_username_enable = 
hotdesking.dsskey_password_enable =
hotdesking.dsskey_sip_server_enable = 
hotdesking.dsskey_outbound_enable = 

#######################################################################################
##         	           Distinctive Ring Tones                                        ##  
#######################################################################################

#"X" ranges from 1 to 10; 
#Configure the text to map the keywords contained in the "Alert-info" header.
#distinctive_ring_tones.alert_info.X.text = family
distinctive_ring_tones.alert_info.1.text =

#Specify the ring tone for each text. It ranges from 1 to 8. The default value 1 stands for Ring1.wav.
#distinctive_ring_tones.alert_info.X.ringer = 1
distinctive_ring_tones.alert_info.1.ringer = 

#######################################################################################
##         	               Auto Redial                                               ##
#######################################################################################

#Enable or disable the auto redial feature; 0-Disabled (default), 1-Enabled;
auto_redial.enable = 

#Configure the interval (in seconds) to wait before redial. It ranges from 1 to 300. The default value is 10.
auto_redial.interval = 

#Configure the times of auto redialing . It ranges from 1 to 300. The default value is 10.
auto_redial.times = 

#######################################################################################
##         	               Zero Touch                                                ##
#######################################################################################
#Enable or disable the zero-sp-touch; 0-Disabled (default), 1-Enabled; 
zero_touch.enable = 

#Configure the waiting time (in seconds) before canceling the zero-sp-touch. It ranges from 0 to 100, the default value is 5.
zero_touch.wait_time = 

#######################################################################################
##         	               Push XML                                                  ##
#######################################################################################

push_xml.server =

#Enable or disable the phone to display the push XML interface when receiving an incoming call; 0-Disabled (default), 1-Enabled;
push_xml.block_in_calling =  

#Enable or disable the phone to use the push XML via SIP Notify message; 0-Disabled (default), 1-Enabled;
push_xml.sip_notify = 

#######################################################################################
##         	              Dial Plan                                                  ##
#######################################################################################

#Configure the area code.
dialplan.area_code.code = 
dialplan.area_code.min_len = 1
dialplan.area_code.max_len = 15 

#When applying the rule to multiple lines, each line ID separated by comma. 
#e.g. dialplan.area_code.line_id = 1, 2, 3
dialplan.area_code.line_id = 

#Configure the block out number. X ranges from 1 to 10.
#dialplan.block_out.number.x =

dialplan.block_out.number.1 =

#When applying the rule to multiple lines, each line ID separated by comma. E.g. 1,2,3.
#dialplan.block_out.line_id.x =
dialplan.block_out.line_id.1 =

#Configure the dialnow rule. X ranges from 1 to 20.
#dialplan.dialnow.rule.x = 
#dialplan.dialnow.line_id.x =
 
dialplan.dialnow.rule.1 = 
dialplan.dialnow.line_id.1 =

#Configure the replace rule. X ranges from 1 to 20.
#dialplan.replace.prefix.x = 
#dialplan.replace.replace.x = 
#dialplan.replace.line_id.x =

dialplan.replace.prefix.1 = 
dialplan.replace.replace.1 = 
dialplan.replace.line_id.1 =
 
#######################################################################################
##         	    BSFT Phonebook                                                       ##
#######################################################################################

#Configuration of BW phonebook. X ranges from 1 to 6.
#bw_phonebook.data.x.server = 
#bw_phonebook.data.x.port = 
#bw_phonebook.data.x.username = 
#bw_phonebook.data.x.password = 
#bw_phonebook.data.x.name = 
 
bw_phonebook.data.1.server = 
bw_phonebook.data.1.port = 
bw_phonebook.data.1.username = 
bw_phonebook.data.1.password = 
bw_phonebook.data.1.name = 

#######################################################################################
##                    BSFT Call Log                                                  ##
#######################################################################################

#Configuration of the BW call log. X ranges from 1 to 3.  
#bw_call_log.data.x.server =   
#bw_call_log.data.x.port =     
#bw_call_log.data.x.username = 
#bw_call_log.data.x.password = 
#bw_call_log.data.x.name =     
        
bw_call_log.data.1.server =        
bw_call_log.data.1.port =          
bw_call_log.data.1.username =      
bw_call_log.data.1.password =      
bw_call_log.data.1.name =         

#Enable or disable the phone to access the BSFT call log/phonebook directly when pressing the History/Directory soft keys;
#0-Disabled (default), 1-Enabled;
#Require reboot;
bw.calllog_and_dir = 

#Specify whether to display the BSFT call log on the web user interface; 0-Disabled, 1-Enabled (default);
#Require reboot;
bw.behave_calllog = 

#Specify whether to display the BSFT directory on the web user interface; 0-Disabled, 1-Enable (default);
#Require reboot;
bw.behave_bw_dir = 

#Enable or disable the feature key synchronization; 0-Disabled (default), 1-Enabled;
bw.feature_key_sync = 

#######################################################################################
##         	    Remote phonebook                                                     ##
#######################################################################################

#Configure the access URL and dispaly name of the remote phonebook. X ranges from 1 to 5.
#remote_phonebook.data.x.url =   
#remote_phonebook.data.x.name =

remote_phonebook.data.1.url =   
remote_phonebook.data.1.name = 

#######################################################################################
##         	              LDAP Settings                                              ##
#######################################################################################
#Configure the search criteria for name and number lookups.
ldap.name_filter = 
ldap.number_filter = 

ldap.host = 0.0.0.0
ldap.port = 389

ldap.base = 
ldap.user = 
ldap.password = 

#Specify the maximum of the displayed search results. It ranges from 1 to 32000, the default value is 50.
ldap.max_hits = 

ldap.name_attr = 
ldap.numb_attr = 
ldap.display_name = 

#Configure the LDAP version. The valid value is 2 or 3 (default).
ldap.version = 

#Conifugre the search delay time. It ranges from 0 to 2000 (default).
ldap.search_delay = 

#Enable or disable the phone to query the contact name from the LDAP server when receiving an incoming call; 0-Disabled (default), 1-Enabled;
ldap.call_in_lookup = 

#Enable or disable the phone to sort the search results in alphabetical order; 0-Disabled (default), 1-Enabled; 
ldap.ldap_sort =  

#Enable or disable the phone to query the LDAP server when in the pre-dialing or the dialing state; 0-Disabled (default), 1-Enabled;
ldap.dial_lookup =  

#######################################################################################
##         	              Phone Features                                             ##
#######################################################################################

#Configure the return code when activating DND; 404-No Found, 480-Temporarily not available (default), 486-Busy here;
#features.dnd_refuse_code = 480
features.dnd_refuse_code = 

#Configure the return code when refusing a call. The valid values are 404, 480, 486 (default).
features.normal_refuse_code = 

#Enable or disable the call completion feature; 0-Disabled (default), 1-Enabled;
features.call_completion_enable = 

features.dnd.on_code = 
features.dnd.off_code =

#Enable or disable the phone to receive the emergency call when in the DND mode; 0-Disabled, 1-Enabled (default);
features.dnd.emergency_enable = 

#Specify the emergency number, multiple numbers (at most three) are separated by comma.
features.dnd.emergency_authorized_number = 

#Enable or disable the call waiting feature; 0-Disabled, 1-Enabled (default);
call_waiting.enable = 

#Enable or disable the playing of call waiting tone; 0-Disabled, 1-Enabled (default);
call_waiting.tone = 

#Enable or disable the intercom feature; 0-Disabled, 1-Enabled (default);
features.intercom.allow = 

#Enable or disable the phone to mute the Speaker when answering an intercom call; 0-Disabled (default), 1-Enabled;     
features.intercom.mute = 

#Enable or disable the phone to play the intercom warning tone; 0-Disabled, 1-Enabled (default); 
features.intercom.tone = 

#Enable or disable the phone to barge in an intercom call; 0-Disabled, 1-Enabled (default);
features.intercom.barge = 

#Specify whether to display the contact name in the remote phonebook; 0-Disabled (default), 1-Enabled; 
features.remote_phonebook.enable =

#Set the interval (in seconds) the phone updates the remote phonebook. The default value is 3600. 
features.remote_phonebook.flash_time = 

#Configure the hotline number and delay time (in seconds). It ranges from 0 to 180, the default value of delay time is 2.
features.hotline_number = 
features.hotline_delay = 

#Configure the repetition times of DTMF end packet. The valid values are 1, 2, 3 (default).
features.dtmf.repetition = 

#Configure the delay time (in seconds) of playing busy tone when rejecting a call. The valid values are 0 (default), 3 and 5. 
features.busy_tone_delay = 

#Define the "#" or "*" key as the send key; 0-Disabled, 1-# key(default), 2-* key;
features.pound_key.mode = 

#Enable or disable the phone to play tone when pressing the digit key; 0-Disabled, 1-Enabled (default);
features.send_key_tone = 
features.key_tone = 

features.redial_tone = 

#Enable or disable the phone to save the call history; 0-Disabled, 1-Enabled (default);   
features.save_call_history = 

#Configure the phone to receive the action URI request from the specified IP address(es) or any IP address;
#Enter multiple IP addresses (separated by comma) or "any"(stands for any IP address);  
features.action_uri_limit_ip =

#Enable or disable the transfer DSS key to perform the blind transfer; 0-Disabled, 1-Enabled (default);
features.dsskey_blind_tran = 

#Configure the overtime (in minutes) of logging web user interface. It ranges from 1 to 1000, the default value is 5.
features.relog_offtime = 
 
#Enable or disable the phone to dial the IP address directly; 0-Disabled, 1-Enabled (default);
#Require reboot;
features.direct_ip_call_enable = 0

#Specify the ring device when the phone is in the Headset mode; 0-use Speaker (default), 1-use Headset;
features.ringer_device.is_use_headset = 

#Enable or disable the phone to pick up the call using the group pickup soft key; 0-Disabled (default), 1-Enabled;
features.pickup.group_pickup_enable = 

#Configure the group pickup code.
features.pickup.group_pickup_code = 

#Enable or disable the phone to pick up the call using the directed pickup soft key; 0-Disabled (default), 1-Enabled;
features.pickup.direct_pickup_enable = 

#Configure the directed pickup code.
features.pickup.direct_pickup_code =

#Specify the way to notify the phone of the incoming call of the monitored user by visual or audio indicator;
#0-Disabled (default), 1-Enabled;
features.pickup.blf_visual_enable =
features.pickup.blf_audio_enable = 

#Enable or disable the phone to turn off the indicator LEDs of BLF and Call Park keys when the monitored states is idle.
#0-Disabled (default), 1-Enabled;
features.blf_and_callpark_idle_led_enable =

#Enable or disable to enter the password when long pressing the OK key to reset to factory; 0-Disabled (default), 1-Enabled;
#features.factory_pwd_enable = 

#Configure the time (in seconds) the phone automatically dial out the dialed digits. It ranges from 1 to 14, the default value is 4.
phone_setting.inter_digit_time = 

#Configure the flash hook time (in milliseconds). It ranges from 0 to 799, the default value is 1.
phone_setting.flash_hook_timer = 

#Configure the keypad lock type; 0-Disabled (default), 1-Menu Key, 2-Function Key, 3-All Keys, 4-Lock&Answer;
phone_setting.lock = 

#Set the unlock password and expiry time (in seconds) of phone lock. It ranges from 0 to 3600, the default value of expiry time is 10.
phone_setting.phone_lock.unlock_pin = 
phone_setting.phone_lock.lock_time_out = 

#Configure the ring tone for the phone. System ring tones are: Ring1.wav (default), Ring2.wav¡­¡­Ring8.wav.
#You can configure the custom ring tone (Busy.wav) for the phone, the value is: phone_setting.ring_type = Busy.wav
phone_setting.ring_type = 

#Configure the active backlight level. It ranges from 1 to 10, the default value is 2.
#The same level for different phones may result in different backlight intensities. 
#The backlight level of T2xP ranges from 1 to 3.
phone_setting.active_backlight_level = 

#Configure the inactive backlight level. It ranges from 1 to 10, the default value is 1.
phone_setting.inactive_backlight_level = 

#Configure the backlight time (in seconds). The valid values are: 1-Always on, 60 (default), 120, 300, 600, 1800.
phone_setting.backlight_time = 

#Configure the screen saver time (in seconds). The valid values are 1, 60 (default), 120, 300, 600, 1800.
phone_setting.screen_saver_time = 

#Configure the ring tone when the transfer fails. The valid values are: Ring1.wav.... Ring8.wav.
#phone_setting.ring_for_tranfailed = Ring1.wav 
phone_setting.ring_for_tranfailed =

#Enable or disable the phone to show the logon wizard during startup; 0-Disabled (default), 1-Enabled;
phone_setting.logon_wizard = 

#Enable or disable the phone to automatically dial out the dialed digits in the pre-dial interface; 0-Disabled (default), 1-Enabled;
phone_setting.predial_autodial = 1

#Enable or disable the phone to deal the 180 SIP message after the 183 SIP message; 0-Disabled, 1-Enabled (default);
phone_setting.is_deal180 = 

#Configure the delay time (in seconds) for the dialnow rule. It ranges from 1 to 14, the default value is 1.
phone_setting.dialnow_delay = 

#Enable or disable the user to customize the softkey layout; 0-Disabled (default), 1-Enabled;
phone_setting.custom_softkey_enable = 

#Configure the phone theme; 0-Theme1 (default), 1-Theme2, 2-Theme3, 3-Theme4;
phone_setting.theme = 

#Configure the emergency number, each separated by comma. The default value is 112,911,110.
phone_setting.emergency.number =  

#Enable or disable the  phone to display the short message automatically; 0-Disabled, 1-Enabled (default);
phone_setting.sms_popup_enable = 

#Enable or disable the phone to turn off the power LED when it is idle; 0-Disabled (default), 1-Enabled;
phone_setting.common_power_led_enable =

#Enable or disable the phone to flash the power LED when receiving new voice mail or message; 0-Disabled (default), 1-Enabled;
phone_setting.mail_power_led_flash_enable =

#Enable or disable the phone to flash the power LED when muting a call; 0-Disabled (default), 1-Enabled;
phone_setting.mute_power_led_flash_enable =

#Enable or disable the phone to flash the power LED when placing a calll on hold; 0-Disabled (default), 1-Enabled;
phone_setting.hold_power_led_flash_enable =

#######################################################################################
##                     Configure the access URL of firmware                          ##
#######################################################################################
firmware.url = {$yealink_t22p_firmware_url}

#######################################################################################
##                     Configure the access URL of the customized  ringtones         ##
#######################################################################################
ringtone.url =

#ringtone.delete = http://localhost/all,delete all the customized ring tones.
ringtone.delete =

#######################################################################################
##            Configure the access  URL of language file                             ##
#######################################################################################
gui_lang.url = 

#gui_lang.delete =http://localhost/all, delete all the customized languages.
gui_lang.delete =

#######################################################################################
##                     Certificates                                                  ##
#######################################################################################
trusted_certificates.url =

#trusted_certificates.delete = http://localhost/all,delete all the trusted certificates. 
trusted_certificates.delete = 

server_certificates.url = 

#server_certificates.delete = http://localhost/all, delete the server certificate. 
server_certificates.delete = 

#######################################################################################
##  Local Contact/DST Time/Dialnow Rule/Replace Rule                                 ##
#######################################################################################
local_contact.data.url =
auto_dst.url =
dialplan_dialnow.url =
dialplan_replace_rule.url =

#######################################################################################
##      Customized Factory Configurations                                            ##
#######################################################################################
#Configure the access URL for downloading the customized factory configurations.
custom_factory_configuration.url =

#######################################################################################
##          Call List                                                                ##
#######################################################################################
#Configure the access URL for downloading the call list.
#Require reboot
call_list.url = 

#######################################################################################
##            OpenVPN                                                                ##
#######################################################################################
#Configure the access URL for downloading the open VPN tar.
openvpn.url =

#######################################################################################
##            Configure the access URL of the  Wallpaper                             ##
#######################################################################################
wallpaper_upload.url = {$yealink_t22p_wallpaper}

#Configure the phone background.
#If you set the custom image (new.png) as phone backgroup, the value is: phone_setting.backgrounds = Config:new.png
#If you set the system image (pictures(01).png) as phone backgroup, the value is: phone_setting.backgrounds = Resource:pictures(01).png
phone_setting.backgrounds = Config:yealink_t22p.png

#######################################################################################
##     Configure the access URL of the Screensaver                                   ##
#######################################################################################
#Configure the access URL for downloading the customized wallpaper.
screen_saver.pic.url = {$yealink_t22p_screen_saver}

#######################################################################################
##     Configuration files for Var                                                   ##
#######################################################################################
#Configure the access URL for downloading the files for var.
#Require reboot
web_item_level.url = 

